io.etcd.jetcd.api

## Class ClusterGrpc.ClusterImplBase

- java.lang.Object
- - io.etcd.jetcd.api.ClusterGrpc.ClusterImplBase

All Implemented Interfaces:
  io.grpc.BindableService

Enclosing class:
  ClusterGrpc

    public abstract static class ClusterGrpc.ClusterImplBase
    extends Object
    implements io.grpc.BindableService

### Constructor Summary

Constructors
Constructor and Description
`ClusterImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `memberAdd(MemberAddRequest request, io.grpc.stub.StreamObserver<MemberAddResponse> responseObserver)` MemberAdd adds a member into the cluster.
`void` `memberList(MemberListRequest request, io.grpc.stub.StreamObserver<MemberListResponse> responseObserver)` MemberList lists all the members in the cluster.
`void` `memberRemove(MemberRemoveRequest request, io.grpc.stub.StreamObserver<MemberRemoveResponse> responseObserver)` MemberRemove removes an existing member from the cluster.
`void` `memberUpdate(MemberUpdateRequest request, io.grpc.stub.StreamObserver<MemberUpdateResponse> responseObserver)` MemberUpdate updates the member configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterImplBase

    public ClusterImplBase()

### Method Detail

#### memberAdd

    public void memberAdd(MemberAddRequest request,
                          io.grpc.stub.StreamObserver<MemberAddResponse> responseObserver)

     MemberAdd adds a member into the cluster.

#### memberRemove

    public void memberRemove(MemberRemoveRequest request,
                             io.grpc.stub.StreamObserver<MemberRemoveResponse> responseObserver)

     MemberRemove removes an existing member from the cluster.

#### memberUpdate

    public void memberUpdate(MemberUpdateRequest request,
                             io.grpc.stub.StreamObserver<MemberUpdateResponse> responseObserver)

     MemberUpdate updates the member configuration.

#### memberList

    public void memberList(MemberListRequest request,
                           io.grpc.stub.StreamObserver<MemberListResponse> responseObserver)

     MemberList lists all the members in the cluster.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`